#include "inc/hw_types.h"   
#include "inc/hw_memmap.h"   
#include "driverlib/sysctl.h"   
#include "driverlib/gpio.h"
#include "driverlib/timer.h"
#include "driverlib/systemInit.h"
 
#define  	LCD_WR0  GPIOPinWrite(RW_PORT,RW_PIN,0); //д
#define  	LCD_WR1  GPIOPinWrite(RW_PORT,RW_PIN,RW_PIN);
#define     LCD_RS0  GPIOPinWrite(RS_PORT,RS_PIN,0); ///л
#define     LCD_RS1  GPIOPinWrite(RS_PORT,RS_PIN,RS_PIN);
#define     LCD_REST0  GPIOPinWrite(RST_PORT,RST_PIN,0);  //λ   
#define     LCD_REST1  GPIOPinWrite(RST_PORT,RST_PIN,RST_PIN);
#define     LCD_CS0  GPIOPinWrite(E_PORT,E_PIN,0);		//Ƭѡ	
#define     LCD_CS1  GPIOPinWrite(E_PORT,E_PIN,E_PIN);
#define  	LCD_RD1  GPIOPinWrite(RD_PORT,RD_PIN,RD_PIN); //

#define uchar unsigned char
#define uint  unsigned int

/*Һݶ˿*/
#define DBS_PERIPH	SYSCTL_PERIPH_GPIOD
#define	DBS_PORT	GPIO_PORTD_BASE
#define	DBS_PINS	GPIO_PIN_0|GPIO_PIN_1|GPIO_PIN_2|GPIO_PIN_3|GPIO_PIN_4|GPIO_PIN_5|GPIO_PIN_6|GPIO_PIN_7

/*Һѡ */
#define	RS_PERIPH	SYSCTL_PERIPH_GPIOB
#define	RS_PORT		GPIO_PORTB_BASE
#define	RS_PIN		GPIO_PIN_0

/*Һдƶ*/
#define	RW_PERIPH	SYSCTL_PERIPH_GPIOB
#define	RW_PORT		GPIO_PORTB_BASE
#define	RW_PIN		GPIO_PIN_1

/*Һʹܶ*/
#define	E_PERIPH	SYSCTL_PERIPH_GPIOB
#define	E_PORT		GPIO_PORTB_BASE
#define	E_PIN		GPIO_PIN_2

/*ģʽѡ*/
#define	RST_PERIPH	SYSCTL_PERIPH_GPIOB
#define	RST_PORT	GPIO_PORTB_BASE
#define	RST_PIN		GPIO_PIN_3

/*ģʽѡ*/
#define	RD_PERIPH	SYSCTL_PERIPH_GPIOB
#define	RD_PORT	GPIO_PORTB_BASE
#define	RD_PIN		GPIO_PIN_4

typedef unsigned char  U8;       /* defined for unsigned 8-bits integer variable      ޷8λͱ  */   
typedef signed   char  S8;       /* defined for signed 8-bits integer variable        з8λͱ  */   
typedef unsigned int   U16;      /* defined for unsigned 16-bits integer variable     ޷16λͱ */   
typedef signed   int   S16;      /* defined for signed 16-bits integer variable       з16λͱ */   
typedef unsigned long  U32;      /* defined for unsigned 32-bits integer variable     ޷32λͱ */   
typedef signed   long  S32;      /* defined for signed 32-bits integer variable       з32λͱ */   
typedef float          F32;      /* single precision floating point variable (32bits) ȸ32λȣ */   
typedef double         F64;      /* double precision floating point variable (64bits) ˫ȸ64λȣ */   

U8  U8FLAG,flag,flag2,yd,md; 
float high1,w1,w2,w3,us;  
U8  U8count,U8temp;      
U8  U8T_data_H_temp,U8T_data_L_temp,U8RH_data_H_temp,U8RH_data_L_temp,U8checkdata_temp;   
U8  U8comdata;           
U8  count1, count_r=0,countm,shi,fen,miao,js,dj_f;   
float amrh,temp;
unsigned int TP_X,TP_Y;	   //ǰ
	
unsigned int lx,ly;

unsigned char  font16x8[]={



/*                 sp                 */


0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,



/*                 !"#$%&'()*+,-./                 */


/*--  :  !  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x00,0x00,0x18,0x18,0x00,0x00,

/*--  :  "  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x12,0x36,0x24,0x48,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,

/*--  :  #  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x24,0x24,0x24,0xFE,0x48,0x48,0x48,0xFE,0x48,0x48,0x48,0x00,0x00,

/*--  :  $  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x10,0x38,0x54,0x54,0x50,0x30,0x18,0x14,0x14,0x54,0x54,0x38,0x10,0x10,

/*--  :  %  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x44,0xA4,0xA8,0xA8,0xA8,0x54,0x1A,0x2A,0x2A,0x2A,0x44,0x00,0x00,

/*--  :  &  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x30,0x48,0x48,0x48,0x50,0x6E,0xA4,0x94,0x88,0x89,0x76,0x00,0x00,

/*--  :  '  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x60,0x60,0x20,0xC0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,

/*--  :  (  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x02,0x04,0x08,0x08,0x10,0x10,0x10,0x10,0x10,0x10,0x08,0x08,0x04,0x02,0x00,

/*--  :  )  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x40,0x20,0x10,0x10,0x08,0x08,0x08,0x08,0x08,0x08,0x10,0x10,0x20,0x40,0x00,

/*--  :  *  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x00,0x10,0x10,0xD6,0x38,0x38,0xD6,0x10,0x10,0x00,0x00,0x00,0x00,

/*--  :  +  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x00,0x10,0x10,0x10,0x10,0xFE,0x10,0x10,0x10,0x10,0x00,0x00,0x00,

/*--  :  ,  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x60,0x60,0x20,0xC0,

/*--  :  -  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x7F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,

/*--  :  .  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x60,0x60,0x00,0x00,

/*--  :  /  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x01,0x02,0x02,0x04,0x04,0x08,0x08,0x10,0x10,0x20,0x20,0x40,0x40,0x00,



/*                 0123456789                */


/*--  :  0  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x18,0x24,0x42,0x42,0x42,0x42,0x42,0x42,0x42,0x24,0x18,0x00,0x00,

/*--  :  1  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x10,0x70,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x7C,0x00,0x00,

/*--  :  2  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x3C,0x42,0x42,0x42,0x04,0x04,0x08,0x10,0x20,0x42,0x7E,0x00,0x00,

/*--  :  3  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x3C,0x42,0x42,0x04,0x18,0x04,0x02,0x02,0x42,0x44,0x38,0x00,0x00,

/*--  :  4  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x04,0x0C,0x14,0x24,0x24,0x44,0x44,0x7E,0x04,0x04,0x1E,0x00,0x00,

/*--  :  5  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x7E,0x40,0x40,0x40,0x58,0x64,0x02,0x02,0x42,0x44,0x38,0x00,0x00,

/*--  :  6  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x1C,0x24,0x40,0x40,0x58,0x64,0x42,0x42,0x42,0x24,0x18,0x00,0x00,

/*--  :  7  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x7E,0x44,0x44,0x08,0x08,0x10,0x10,0x10,0x10,0x10,0x10,0x00,0x00,

/*--  :  8  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x3C,0x42,0x42,0x42,0x24,0x18,0x24,0x42,0x42,0x42,0x3C,0x00,0x00,

/*--  :  9  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x18,0x24,0x42,0x42,0x42,0x26,0x1A,0x02,0x02,0x24,0x38,0x00,0x00,



/*                    :;<=>?@                          */


/*--  :  :  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x00,0x00,0x00,0x18,0x18,0x00,0x00,0x00,0x00,0x18,0x18,0x00,0x00,

/*--  :  ;  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x10,0x00,0x00,0x00,0x00,0x00,0x10,0x10,0x20,

/*--  :  <  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x02,0x04,0x08,0x10,0x20,0x40,0x20,0x10,0x08,0x04,0x02,0x00,0x00,

/*--  :  =  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x00,0x00,0x00,0xFE,0x00,0x00,0x00,0xFE,0x00,0x00,0x00,0x00,0x00,

/*--  :  >  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x40,0x20,0x10,0x08,0x04,0x02,0x04,0x08,0x10,0x20,0x40,0x00,0x00,

/*--  :  ?  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x3C,0x42,0x42,0x62,0x02,0x04,0x08,0x08,0x00,0x18,0x18,0x00,0x00,

/*--  :  @  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x38,0x44,0x5A,0xAA,0xAA,0xAA,0xAA,0xB4,0x42,0x44,0x38,0x00,0x00,



/*               ABCDEFGHIJKLMNOPQRSTUVWXYZ                         */


/*--  :  A  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x10,0x10,0x18,0x28,0x28,0x24,0x3C,0x44,0x42,0x42,0xE7,0x00,0x00,

/*--  :  B  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0xF8,0x44,0x44,0x44,0x78,0x44,0x42,0x42,0x42,0x44,0xF8,0x00,0x00,

/*--  :  C  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x3E,0x42,0x42,0x80,0x80,0x80,0x80,0x80,0x42,0x44,0x38,0x00,0x00,

/*--  :  D  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0xF8,0x44,0x42,0x42,0x42,0x42,0x42,0x42,0x42,0x44,0xF8,0x00,0x00,

/*--  :  E  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0xFC,0x42,0x48,0x48,0x78,0x48,0x48,0x40,0x42,0x42,0xFC,0x00,0x00,

/*--  :  F  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0xFC,0x42,0x48,0x48,0x78,0x48,0x48,0x40,0x40,0x40,0xE0,0x00,0x00,

/*--  :  G  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x3C,0x44,0x44,0x80,0x80,0x80,0x8E,0x84,0x44,0x44,0x38,0x00,0x00,

/*--  :  H  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0xE7,0x42,0x42,0x42,0x42,0x7E,0x42,0x42,0x42,0x42,0xE7,0x00,0x00,

/*--  :  I  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x7C,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x7C,0x00,0x00,

/*--  :  J  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x3E,0x08,0x08,0x08,0x08,0x08,0x08,0x08,0x08,0x08,0x08,0x88,0xF0,

/*--  :  K  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0xEE,0x44,0x48,0x50,0x70,0x50,0x48,0x48,0x44,0x44,0xEE,0x00,0x00,

/*--  :  L  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0xE0,0x40,0x40,0x40,0x40,0x40,0x40,0x40,0x40,0x42,0xFE,0x00,0x00,

/*--  :  M  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0xEE,0x6C,0x6C,0x6C,0x6C,0x54,0x54,0x54,0x54,0x54,0xD6,0x00,0x00,

/*--  :  N  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0xC7,0x62,0x62,0x52,0x52,0x4A,0x4A,0x4A,0x46,0x46,0xE2,0x00,0x00,

/*--  :  O  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x38,0x44,0x82,0x82,0x82,0x82,0x82,0x82,0x82,0x44,0x38,0x00,0x00,

/*--  :  P  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0xFC,0x42,0x42,0x42,0x42,0x7C,0x40,0x40,0x40,0x40,0xE0,0x00,0x00,

/*--  :  Q  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x38,0x44,0x82,0x82,0x82,0x82,0x82,0xB2,0xCA,0x4C,0x38,0x06,0x00,

/*--  :  R  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0xFC,0x42,0x42,0x42,0x7C,0x48,0x48,0x44,0x44,0x42,0xE3,0x00,0x00,

/*--  :  S  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x3E,0x42,0x42,0x40,0x20,0x18,0x04,0x02,0x42,0x42,0x7C,0x00,0x00,

/*--  :  T  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0xFE,0x92,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x38,0x00,0x00,

/*--  :  U  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0xE7,0x42,0x42,0x42,0x42,0x42,0x42,0x42,0x42,0x42,0x3C,0x00,0x00,

/*--  :  V  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0xE7,0x42,0x42,0x44,0x24,0x24,0x28,0x28,0x18,0x10,0x10,0x00,0x00,

/*--  :  W  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0xD6,0x92,0x92,0x92,0x92,0xAA,0xAA,0x6C,0x44,0x44,0x44,0x00,0x00,

/*--  :  X  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0xE7,0x42,0x24,0x24,0x18,0x18,0x18,0x24,0x24,0x42,0xE7,0x00,0x00,

/*--  :  Y  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0xEE,0x44,0x44,0x28,0x28,0x10,0x10,0x10,0x10,0x10,0x38,0x00,0x00,

/*--  :  Z  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x7E,0x84,0x04,0x08,0x08,0x10,0x20,0x20,0x42,0x42,0xFC,0x00,0x00,



/*                               [\]^_'                        */


/*--  :  [  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x1E,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x1E,0x00,

/*--  :  \  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x40,0x40,0x20,0x20,0x10,0x10,0x10,0x08,0x08,0x04,0x04,0x04,0x02,0x02,

/*--  :  ]  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x78,0x08,0x08,0x08,0x08,0x08,0x08,0x08,0x08,0x08,0x08,0x08,0x08,0x78,0x00,

/*--  :  ^  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x1C,0x22,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,

/*--  :  _  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,

/*--  :  '  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x60,0x60,0x20,0xC0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,



/*                        abcdefghijklmnopqrstuvwxyz                 */


/*--  :  a  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x3C,0x42,0x1E,0x22,0x42,0x42,0x3F,0x00,0x00,

/*--  :  b  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0xC0,0x40,0x40,0x40,0x58,0x64,0x42,0x42,0x42,0x64,0x58,0x00,0x00,

/*--  :  c  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x1C,0x22,0x40,0x40,0x40,0x22,0x1C,0x00,0x00,

/*--  :  d  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x06,0x02,0x02,0x02,0x1E,0x22,0x42,0x42,0x42,0x26,0x1B,0x00,0x00,

/*--  :  e  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x3C,0x42,0x7E,0x40,0x40,0x42,0x3C,0x00,0x00,

/*--  :  f  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x0F,0x11,0x10,0x10,0x7E,0x10,0x10,0x10,0x10,0x10,0x7C,0x00,0x00,

/*--  :  g  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x3E,0x44,0x44,0x38,0x40,0x3C,0x42,0x42,0x3C,

/*--  :  h  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0xC0,0x40,0x40,0x40,0x5C,0x62,0x42,0x42,0x42,0x42,0xE7,0x00,0x00,

/*--  :  i  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x30,0x30,0x00,0x00,0x70,0x10,0x10,0x10,0x10,0x10,0x7C,0x00,0x00,

/*--  :  j  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x0C,0x0C,0x00,0x00,0x1C,0x04,0x04,0x04,0x04,0x04,0x04,0x44,0x78,

/*--  :  k  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0xC0,0x40,0x40,0x40,0x4E,0x48,0x50,0x68,0x48,0x44,0xEE,0x00,0x00,

/*--  :  l  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x70,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x7C,0x00,0x00,

/*--  :  m  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFE,0x49,0x49,0x49,0x49,0x49,0xED,0x00,0x00,

/*--  :  n  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xDC,0x62,0x42,0x42,0x42,0x42,0xE7,0x00,0x00,

/*--  :  o  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x3C,0x42,0x42,0x42,0x42,0x42,0x3C,0x00,0x00,

/*--  :  p  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xD8,0x64,0x42,0x42,0x42,0x44,0x78,0x40,0xE0,

/*--  :  q  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x1E,0x22,0x42,0x42,0x42,0x22,0x1E,0x02,0x07,

/*--  :  r  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xEE,0x32,0x20,0x20,0x20,0x20,0xF8,0x00,0x00,

/*--  :  s  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x3E,0x42,0x40,0x3C,0x02,0x42,0x7C,0x00,0x00,

/*--  :  t  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x00,0x00,0x10,0x10,0x7C,0x10,0x10,0x10,0x10,0x10,0x0C,0x00,0x00,

/*--  :  u  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC6,0x42,0x42,0x42,0x42,0x46,0x3B,0x00,0x00,

/*--  :  v  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xE7,0x42,0x24,0x24,0x28,0x10,0x10,0x00,0x00,

/*--  :  w  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xD7,0x92,0x92,0xAA,0xAA,0x44,0x44,0x00,0x00,

/*--  :  x  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x6E,0x24,0x18,0x18,0x18,0x24,0x76,0x00,0x00,

/*--  :  y  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xE7,0x42,0x24,0x24,0x28,0x18,0x10,0x10,0xE0,

/*--  :  z  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x7E,0x44,0x08,0x10,0x10,0x22,0x7E,0x00,0x00,



/*                {|}~               */


/*--  :  {  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x03,0x04,0x04,0x04,0x04,0x04,0x08,0x04,0x04,0x04,0x04,0x04,0x04,0x03,0x00,

/*--  :  |  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x08,0x08,0x08,0x08,0x08,0x08,0x08,0x08,0x08,0x08,0x08,0x08,0x08,0x08,0x08,0x08,

/*--  :  }  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x00,0x60,0x10,0x10,0x10,0x10,0x10,0x08,0x10,0x10,0x10,0x10,0x10,0x10,0x60,0x00,

/*--  :  ~  --*/
/*--  12;  ¶ӦĵΪx=8x16   --*/
0x30,0x4C,0x43,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,



};






uchar  bin[128]=
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0C,0x00,0x10,0x00,0x18,0x00,
0x60,0x00,0x18,0x00,0xE0,0x00,0x10,0x10,0xC0,0xF8,0xEF,0x3F,0xC0,0x08,0x00,0x18,
0x00,0x0C,0x00,0x0C,0x00,0x0E,0xE0,0x04,0x02,0x00,0xF8,0x01,0x04,0xA0,0x07,0x00,
0x18,0x61,0x00,0x00,0x38,0x61,0x00,0x00,0xB0,0x60,0x00,0x04,0x90,0x60,0x00,0x0E,
0x80,0xE0,0xFF,0x01,0x80,0x60,0x60,0x00,0x40,0x60,0x60,0x00,0x40,0x60,0x60,0x00,
0x40,0x60,0x60,0x00,0x60,0x60,0x60,0x10,0x3C,0xFE,0xFF,0x3F,0x30,0x00,0x00,0x00,
0x30,0x00,0x41,0x00,0x30,0x80,0x83,0x01,0x30,0xC0,0x01,0x07,0x30,0x60,0x00,0x0E,
0x30,0x30,0x00,0x1C,0x30,0x08,0x00,0x18,0x00,0x06,0x00,0x18,0x00,0x00,0x00,0x00,};/*"",0*/
uchar  zhou[128]=
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x06,0x00,0x04,
0x00,0x06,0x06,0x1C,0x00,0x06,0x0E,0x0C,0x00,0x06,0x06,0x0C,0x00,0x06,0x06,0x0C,
0x00,0x06,0x06,0x0C,0x00,0x06,0x06,0x0C,0x00,0x06,0x06,0x0C,0x00,0x06,0x06,0x0C,
0x20,0x26,0x26,0x0C,0x20,0x26,0x66,0x0C,0x20,0x62,0xC6,0x0C,0x20,0x62,0xC6,0x0C,
0x30,0xC2,0xC6,0x0C,0x38,0x42,0xC6,0x0C,0x18,0x02,0x06,0x0C,0x00,0x03,0x06,0x0C,
0x00,0x03,0x06,0x0C,0x00,0x03,0x06,0x0C,0x00,0x01,0x06,0x0C,0x00,0x01,0x06,0x0C,
0x80,0x01,0x06,0x0C,0x80,0x00,0x06,0x0C,0x40,0x00,0x06,0x0C,0x40,0x00,0x06,0x0C,
0x20,0x00,0x00,0x0C,0x10,0x00,0x00,0x0C,0x08,0x00,0x00,0x04,0x04,0x00,0x00,0x00,};/*"",0*/
uchar  xue[128]=
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x20,0x80,0x00,0x80,0x60,0x80,0x01,
0x80,0xC1,0xC0,0x01,0x00,0xC3,0xC1,0x00,0x00,0x87,0x61,0x00,0x00,0x86,0x21,0x00,
0x00,0x86,0x11,0x00,0x00,0x02,0x10,0x10,0xE0,0xFF,0xFF,0x3F,0x30,0x00,0x00,0x38,
0x30,0x00,0x00,0x0C,0x38,0x00,0x00,0x06,0x1C,0x00,0x60,0x00,0x88,0xFF,0xFF,0x00,
0x00,0x00,0x38,0x00,0x00,0x00,0x0C,0x00,0x00,0x00,0x02,0x00,0x00,0x80,0x01,0x00,
0x00,0x80,0x01,0x0C,0xFC,0xFF,0xFF,0x1F,0x00,0x80,0x01,0x00,0x00,0x80,0x01,0x00,
0x00,0x80,0x01,0x00,0x00,0x80,0x01,0x00,0x00,0x80,0x01,0x00,0x00,0x80,0x01,0x00,
0x00,0xF8,0x01,0x00,0x00,0xE0,0x00,0x00,0x00,0xC0,0x00,0x00,0x00,0x00,0x00,0x00,};/*"ѧ",0*/

uchar yuan[128]=
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x04,0x00,0x00,0x00,0x18,0x00,
0x10,0x0C,0x38,0x00,0xF0,0x0F,0x30,0x00,0x10,0x06,0x10,0x0C,0x10,0xE6,0xEF,0x1F,
0x10,0x22,0x00,0x0C,0x10,0x33,0x00,0x04,0x10,0x39,0x00,0x02,0x10,0x01,0x00,0x01,
0x90,0x80,0xFF,0x03,0x10,0x01,0x00,0x00,0x10,0x02,0x00,0x00,0x10,0x06,0x00,0x00,
0x10,0x0C,0x00,0x0C,0x10,0xEC,0xFF,0x1F,0x10,0x08,0x46,0x00,0x10,0x08,0x46,0x00,
0x10,0x0C,0x46,0x00,0xD0,0x0F,0x46,0x00,0x10,0x07,0x42,0x00,0x10,0x02,0x42,0x10,
0x10,0x00,0x43,0x10,0x10,0x00,0x41,0x10,0x10,0x80,0x41,0x10,0x10,0xC0,0x40,0x30,
0x10,0x60,0xC0,0x3F,0x10,0x18,0xC0,0x1F,0x10,0x06,0x00,0x00,0x00,0x00,0x00,0x00,};/*"Ժ",1*/

uchar  tai[72]=
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x18,0x00,0x00,0x08,0x00,0x00,0x08,0x00,0x00,
0x08,0x00,0x00,0x08,0x00,0x00,0x08,0x10,0xFC,0xFF,0x0F,0x00,0x1C,0x00,0x00,0x2C,
0x00,0x00,0x24,0x00,0x00,0x44,0x00,0x00,0x46,0x00,0x00,0xC2,0x00,0x00,0x82,0x00,
0x00,0x01,0x01,0x80,0x0D,0x03,0xC0,0x18,0x06,0x60,0x30,0x0C,0x30,0x30,0x3C,0x08,
0x00,0x38,0x04,0x00,0x10,0x00,0x00,0x00,};/*"̫",0*/

uchar  yang[72]=
{	 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x0B,0x18,0x08,0xF9,0x1F,0x88,
0x09,0x18,0x88,0x08,0x18,0x48,0x08,0x18,0x48,0x08,0x18,0x48,0x08,0x18,0x88,0x08,
0x18,0x08,0xF9,0x1F,0x08,0x09,0x18,0x08,0x0A,0x18,0x08,0x0B,0x18,0x08,0x0B,0x18,
0xE8,0x09,0x18,0xC8,0x08,0x18,0x08,0x08,0x18,0x08,0xF8,0x1F,0x08,0x08,0x18,0x08,
0x08,0x18,0x08,0x00,0x00,0x00,0x00,0x00,};/*"",1*/
uchar  neng[72]=
{0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0x40,0x00,0x40,0x40,0x00,0x20,0x42,0x08,0x10,
0x44,0x0C,0x08,0x4C,0x03,0xFC,0xCB,0x00,0x04,0x48,0x10,0x04,0x40,0x20,0xF8,0xCF,
0x3F,0x18,0x04,0x00,0x18,0x04,0x00,0xF8,0xC7,0x08,0x18,0x44,0x18,0x18,0x44,0x06,
0xF8,0x47,0x01,0x18,0xC4,0x00,0x18,0x44,0x20,0x18,0x44,0x20,0x18,0x44,0x20,0x98,
0xC7,0x7F,0x18,0x82,0x1F,0x00,0x00,0x00,};/*"",2*/
uchar  re[72]=
{0x00,0x00,0x00,0x00,0x00,0x00,0x80,0xC1,0x00,0x80,0x40,0x00,0x80,0x40,0x00,0x80,
0x40,0x04,0xFC,0xFF,0x0F,0x80,0x40,0x04,0x80,0x40,0x04,0x80,0x60,0x04,0x80,0x2E,
0x04,0xE0,0x31,0x04,0x9E,0x70,0x24,0x84,0xD0,0x24,0x80,0x98,0x2C,0xC0,0x8C,0x28,
0xF0,0x06,0x38,0x40,0x00,0x20,0x00,0x00,0x00,0x10,0x21,0x0C,0x10,0x42,0x18,0x18,
0xC2,0x30,0x0C,0x42,0x30,0x00,0x00,0x00,};/*"",3*/
uchar  shui[72]=
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x18,0x00,0x00,0x18,0x00,0x00,0x18,0x00,0x00,
0x18,0x00,0x00,0x18,0x0C,0x00,0x18,0x0C,0x00,0x1B,0x03,0xF8,0xB9,0x01,0x80,0x59,
0x00,0x80,0x59,0x00,0x80,0x58,0x00,0xC0,0x98,0x00,0x40,0x98,0x01,0x60,0x18,0x01,
0x20,0x18,0x03,0x10,0x18,0x06,0x18,0x18,0x1C,0x08,0x18,0x78,0x04,0x18,0x10,0x00,
0x0F,0x00,0x00,0x0C,0x00,0x00,0x00,0x00,};/*"ˮ",4*/
uchar  qi[72]=
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x20,0x00,0xF0,0xE7,0x0F,0x30,0x66,0x0C,0x30,
0x66,0x0C,0x30,0x66,0x0C,0x30,0x66,0x0C,0xF0,0xE7,0x0F,0x10,0x1C,0x01,0x00,0x0C,
0x12,0xFC,0xFF,0x3F,0x00,0x43,0x00,0x80,0x81,0x00,0xC0,0x00,0x03,0x20,0x00,0x7C,
0xFC,0xE7,0x1F,0x20,0x26,0x0C,0x20,0x26,0x0C,0x20,0x26,0x0C,0x20,0x26,0x0C,0xE0,
0xE7,0x0F,0x10,0x22,0x04,0x00,0x00,0x00,};/*"",5*/
uchar  kong[72]=
{0x00,0x00,0x00,0x00,0x00,0x00,0x60,0x40,0x00,0x20,0x80,0x00,0x20,0x80,0x00,0x20,
0x04,0x20,0xA0,0xFD,0x3F,0x7C,0x06,0x10,0x20,0x22,0x08,0x20,0x30,0x06,0x20,0x18,
0x18,0xA0,0x0D,0x38,0x60,0x04,0x10,0x3C,0x03,0x08,0x26,0xFC,0x1F,0x20,0x80,0x00,
0x20,0x80,0x00,0x20,0x80,0x00,0x20,0x80,0x00,0x20,0x80,0x00,0x20,0x80,0x20,0x3C,
0xFF,0x7F,0x30,0x00,0x00,0x00,0x00,0x00,};/*"",6*/
uchar  zhi[72]=
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x03,0x20,0x10,0x01,0x20,0x30,0x01,0x20,0x10,
0x21,0x22,0xF0,0x7F,0x22,0x08,0x01,0x22,0x04,0x01,0x22,0x04,0x21,0x22,0xFE,0x7F,
0x22,0x00,0x01,0x22,0x00,0x01,0x22,0x08,0x21,0x22,0xF8,0x7F,0x22,0x18,0x21,0x22,
0x18,0x21,0x22,0x18,0x21,0x22,0x18,0x21,0x20,0x18,0x21,0x20,0x18,0x3D,0x20,0x00,
0x11,0x3E,0x00,0x03,0x18,0x00,0x00,0x00,};/*"",7*/
uchar  xi[72]=
{
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x1F,0x00,0xFE,0x00,0xF8,0x19,0x00,0x00,
0x0C,0x00,0x00,0x02,0x02,0x00,0x01,0x03,0xE0,0xFC,0x00,0xE0,0x23,0x00,0x00,0x18,
0x00,0x00,0x06,0x02,0x00,0x01,0x04,0xE0,0xFE,0x1F,0xE0,0x11,0x18,0x80,0x10,0x00,
0x00,0x13,0x01,0x80,0x11,0x06,0x40,0x10,0x1C,0x20,0x10,0x38,0x18,0x10,0x30,0x04,
0x1F,0x30,0x00,0x18,0x00,0x00,0x00,0x00,};/*"ϵ",8*/
uchar  tong[72]=
{
0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0x40,0x00,0x40,0xC0,0x00,0x20,0x80,0x10,0x20,
0xFC,0x3F,0x10,0xC3,0x00,0x08,0xC3,0x00,0x84,0x21,0x02,0xFC,0x10,0x0C,0x44,0x08,
0x18,0x20,0xFC,0x37,0x10,0x14,0x01,0x08,0x22,0x03,0xFC,0x21,0x03,0x08,0x20,0x03,
0x00,0x20,0x03,0x00,0x32,0x03,0xE0,0x11,0x23,0x1E,0x18,0x23,0x04,0x08,0x23,0x00,
0x06,0x7F,0x80,0x01,0x3E,0x00,0x00,0x00,};/*"ͳ",9*/
 
uchar  wen[72]=
{ 
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x04,0x18,0xFE,0x0F,0x30,0x02,0x04,0x20,
0x02,0x04,0x00,0x02,0x04,0x80,0xFE,0x07,0x42,0x02,0x04,0x4C,0x02,0x04,0x48,0x02,
0x04,0x28,0xFE,0x07,0x20,0x02,0x00,0xA0,0x00,0x00,0x10,0xFF,0x1F,0x10,0x91,0x08,
0x1E,0x91,0x08,0x08,0x91,0x08,0x08,0x91,0x08,0x08,0x91,0x08,0x0C,0x91,0x08,0x0C,
0x91,0x68,0xE0,0x6E,0x17,0x00,0x00,0x00,};/*"",0*/
 
uchar  du[72]=
{

0x00,0x00,0x00,0x00,0x08,0x00,0x00,0x10,0x00,0x00,0x30,0x00,0x10,0x10,0x30,0xF0,
0xEF,0x0F,0x10,0x0C,0x03,0x10,0x04,0x01,0x10,0x04,0x31,0xF0,0xFF,0x0F,0x10,0x04,
0x01,0x10,0x04,0x01,0x10,0xFC,0x01,0x18,0x02,0x00,0x98,0xFF,0x07,0x08,0x04,0x03,
0x08,0x08,0x01,0x08,0x88,0x01,0x08,0xD0,0x00,0x04,0x60,0x00,0x04,0xD8,0x01,0x02,
0x06,0x3F,0xE2,0x01,0x1C,0x00,0x00,0x00,};/*"",1*/


uchar  dang[72]=
{

0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x18,0x00,0x00,0x18,0x00,0x30,0x18,0x06,0x60,
0x18,0x06,0xC0,0x18,0x01,0x80,0x98,0x00,0x00,0x58,0x00,0x00,0x18,0x10,0xF8,0xFF,
0x3F,0x00,0x00,0x10,0x00,0x00,0x10,0x00,0x00,0x10,0x00,0x00,0x10,0xF0,0xFF,0x1F,
0x00,0x00,0x10,0x00,0x00,0x10,0x00,0x00,0x10,0x00,0x00,0x10,0x00,0x00,0x10,0xF8,
0xFF,0x1F,0x00,0x00,0x10,0x00,0x00,0x00,};/*"",2*/

uchar  qian[72]=
{
0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x80,0x01,0x00,0xC3,0x00,0x00,0x43,0x00,0x00,
0x22,0x30,0xFE,0xDD,0x0F,0x00,0x00,0x00,0x00,0x00,0x0C,0xF0,0x47,0x0C,0x10,0xC4,
0x0C,0x10,0x44,0x0C,0x10,0x44,0x0C,0xF0,0x47,0x0C,0x10,0x44,0x0C,0x10,0x44,0x0C,
0x10,0x44,0x0C,0xF0,0x47,0x0C,0x10,0xC4,0x0C,0x10,0x44,0x0C,0x10,0x04,0x0C,0x90,
0x86,0x07,0x10,0x03,0x06,0x00,0x00,0x00,};/*"ǰ",3*/

uchar  shui1[72]=
{

0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x18,0x00,0x00,0x18,0x00,0x00,0x18,0x00,0x00,
0x18,0x00,0x00,0x18,0x0C,0x00,0x18,0x0C,0x00,0x1B,0x03,0xF8,0xB9,0x01,0x80,0x59,
0x00,0x80,0x59,0x00,0x80,0x58,0x00,0xC0,0x98,0x00,0x40,0x98,0x01,0x60,0x18,0x01,
0x20,0x18,0x03,0x10,0x18,0x06,0x18,0x18,0x1C,0x08,0x18,0x78,0x04,0x18,0x10,0x00,
0x0F,0x00,0x00,0x0C,0x00,0x00,0x00,0x00,};/*"ˮ",4*/

uchar  wei[72]=
{
0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0x10,0x00,0xC0,0x30,0x00,0x40,0x60,0x00,0x60,
0x40,0x00,0x20,0x40,0x18,0x20,0xFF,0x3F,0x30,0x00,0x00,0x30,0x00,0x06,0x28,0x02,
0x06,0x28,0x04,0x06,0x24,0x04,0x02,0x22,0x0C,0x02,0x20,0x08,0x02,0x20,0x18,0x01,
0x20,0x18,0x01,0x20,0x18,0x01,0x20,0x88,0x00,0x20,0x80,0x00,0x20,0x80,0x20,0xA0,
0xFF,0x7F,0x20,0x00,0x00,0x00,0x00,0x00,};/*"λ",5*/

uchar shi1[72]=
{
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x06,0x00,0x00,0x06,0x00,0x01,0x06,0xF8,
0x03,0x06,0x08,0x01,0x06,0x08,0x01,0x36,0x08,0xFF,0x0F,0x08,0x01,0x06,0x08,0x01,
0x06,0xF8,0x19,0x06,0x08,0x31,0x06,0x08,0x61,0x06,0x08,0x21,0x06,0x08,0x01,0x06,
0x08,0x01,0x06,0x08,0x01,0x06,0xF8,0x01,0x06,0x08,0x01,0x06,0x00,0x00,0x06,0x00,
0xC0,0x03,0x00,0x00,0x03,0x00,0x00,0x00,};/*"ʱ",0*/
uchar  jian[72]=
{
0x00,0x00,0x00,0x00,0x00,0x00,0x20,0x00,0x00,0x40,0x00,0x10,0xC0,0xFC,0x1F,0x58,
0x00,0x10,0x08,0x00,0x10,0x08,0x00,0x10,0x08,0xFF,0x10,0x08,0x41,0x10,0x08,0x41,
0x10,0x08,0x41,0x10,0x08,0x7F,0x10,0x08,0x41,0x10,0x08,0x41,0x10,0x08,0xC1,0x10,
0x08,0xC1,0x10,0x08,0xFF,0x10,0x08,0x41,0x10,0x08,0x00,0x10,0x08,0x00,0x10,0x08,
0x00,0x1E,0x08,0x00,0x0C,0x00,0x00,0x00,};/*"",1*/
uchar  mao[72]=
{
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x38,0x00,0x00,0x38,0x00,0x00,0x30,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x30,0x00,0x00,0x38,0x00,0x00,0x38,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,};/*"",2*/ 

uchar  cai[72]=
{
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC3,0x00,0x00,0x43,0x00,0xFE,0xFF,0x3F,0x00,
0x43,0x00,0x00,0x43,0x04,0x00,0xC0,0x07,0x00,0x3F,0x00,0xF0,0x04,0x00,0x00,0x18,
0x06,0x60,0x10,0x02,0xC0,0x10,0x01,0x40,0x98,0x00,0x00,0x58,0x30,0xFE,0xBF,0x0F,
0x00,0x3E,0x00,0x00,0x5B,0x00,0x80,0x99,0x01,0xC0,0x18,0x03,0x20,0x18,0x0E,0x18,
0x18,0x38,0x06,0x18,0x00,0x00,0x00,0x00,};/*"",0*/
uchar  dan[72]=
{
0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x81,0x01,0x00,0x83,0x00,0x00,0x42,0x00,0x00,
0x22,0x00,0xE0,0xFF,0x07,0x20,0x08,0x04,0x20,0x08,0x04,0x20,0x08,0x04,0xE0,0xFF,
0x07,0x20,0x08,0x04,0x20,0x08,0x04,0x20,0x08,0x04,0xE0,0xFF,0x07,0x20,0x08,0x00,
0x00,0x08,0x20,0xFE,0xFF,0x7F,0x00,0x08,0x00,0x00,0x08,0x00,0x00,0x08,0x00,0x00,
0x08,0x00,0x00,0x08,0x00,0x00,0x00,0x00,};/*"",1*/
uchar  fan[72]=
{
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x04,0x10,0x80,0x0F,0x20,0x7C,0x00,0x60,
0x04,0x00,0x20,0x04,0x00,0x00,0x04,0x00,0x00,0xFC,0x0F,0x20,0x04,0x0C,0x7C,0x04,
0x04,0x20,0x04,0x06,0x20,0x36,0x02,0x20,0xC6,0x03,0x20,0x02,0x03,0x20,0x82,0x06,
0x20,0x41,0x0C,0x20,0x21,0x18,0xA0,0x18,0x10,0x50,0x06,0x00,0x8C,0x01,0x00,0x04,
0xFE,0x3F,0x00,0xE0,0x1F,0x00,0x00,0x00,};/*"",2*/
uchar  hui[72]=
{
0x00,0x00,0x00,0x00,0x00,0x00,0x08,0x00,0x30,0xF8,0xFF,0x1F,0x08,0x00,0x10,0x08,
0x00,0x10,0x08,0x00,0x10,0x08,0x81,0x10,0x08,0xFF,0x10,0x08,0x81,0x10,0x08,0x81,
0x10,0x08,0x81,0x10,0x08,0x81,0x10,0x08,0x81,0x10,0x08,0xFF,0x10,0x08,0x81,0x10,
0x08,0x00,0x10,0x08,0x00,0x10,0x08,0x00,0x10,0x08,0x00,0x10,0xF8,0xFF,0x1F,0x08,
0x00,0x10,0x08,0x00,0x10,0x00,0x00,0x00,};/*"",3*/


uchar zeng[72]=
{0x00,0x00,0x00,0x00,0x00,0x00,0x20,0x10,0x0C,0x20,0x30,0x06,0x20,0x20,0x02,0x20,
0x02,0x31,0x20,0xFE,0x3E,0x20,0x86,0x10,0xFE,0x9F,0x1C,0x20,0xB6,0x14,0x20,0xB6,
0x12,0x20,0x86,0x11,0x20,0xFE,0x3F,0x20,0x06,0x30,0x20,0x04,0x08,0x20,0xF8,0x1F,
0xA0,0x09,0x08,0x70,0x08,0x08,0x0E,0xF8,0x0F,0x04,0x08,0x08,0x00,0x08,0x08,0x00,
0xF8,0x0F,0x00,0x08,0x08,0x00,0x00,0x00,};/*"",0*/

uchar  da[72]=
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x18,0x00,0x00,0x08,0x00,0x00,0x08,0x00,0x00,
0x08,0x00,0x00,0x08,0x00,0x00,0x08,0x30,0xFC,0xFF,0x7F,0x00,0x08,0x00,0x00,0x18,
0x00,0x00,0x18,0x00,0x00,0x2C,0x00,0x00,0x2C,0x00,0x00,0x44,0x00,0x00,0x44,0x00,
0x00,0x82,0x00,0x00,0x83,0x01,0x00,0x01,0x03,0x80,0x00,0x06,0x40,0x00,0x1C,0x30,
0x00,0x38,0x0C,0x00,0x10,0x00,0x00,0x00,};/*"",1*/

uchar  jian1[72]=
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0F,0x02,0x00,0x19,0x0C,0x00,0x11,0x98,
0x00,0x21,0x98,0xFF,0x1F,0xC0,0x01,0x01,0xA0,0x01,0x01,0xA0,0x61,0x11,0xA0,0x1F,
0x31,0x90,0x01,0x11,0x90,0x01,0x19,0x88,0x7D,0x09,0x8C,0x44,0x0D,0x88,0x44,0x07,
0x88,0x44,0x06,0xCC,0x44,0x02,0x4C,0x7C,0x47,0x4C,0xA4,0x24,0x28,0x40,0x28,0x10,
0x20,0x30,0x08,0x18,0x60,0x00,0x00,0x00,};/*"",2*/

uchar  xiao[72]=
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x18,0x00,0x00,0x10,0x00,0x00,0x10,0x00,0x00,
0x10,0x00,0x00,0x10,0x00,0x00,0x10,0x00,0x80,0x90,0x00,0x80,0x11,0x01,0xC0,0x10,
0x06,0x40,0x10,0x0C,0x60,0x10,0x18,0x20,0x10,0x18,0x10,0x10,0x30,0x08,0x10,0x30,
0x04,0x10,0x30,0x00,0x10,0x00,0x00,0x10,0x00,0x00,0x10,0x00,0x00,0x18,0x00,0x00,
0x1E,0x00,0x00,0x0C,0x00,0x00,0x00,0x00,};/*"С",3*/

uchar  kai[72]=
{
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x18,0xF8,0xFF,0x07,0x00,
0x81,0x01,0x00,0x81,0x01,0x00,0x81,0x01,0x00,0x81,0x01,0x00,0x81,0x01,0x00,0x81,
0x21,0x00,0x81,0x31,0xF8,0xFF,0x0F,0x00,0x81,0x01,0x00,0x81,0x01,0x00,0x81,0x01,
0x80,0x81,0x01,0x80,0x80,0x01,0x80,0x80,0x01,0x40,0x80,0x01,0x20,0x80,0x01,0x10,
0x80,0x01,0x0C,0x80,0x01,0x00,0x00,0x00,};/*"",4*/


uchar  guan[72]=
{0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x80,0x01,0x00,0x83,0x01,0x00,0xC3,0x00,0x00,
0x42,0x00,0x00,0x22,0x00,0xF8,0xFF,0x1F,0x00,0x18,0x00,0x00,0x18,0x00,0x00,0x18,
0x00,0x00,0x08,0x00,0x00,0x08,0x30,0xFC,0xFF,0x0F,0x00,0x28,0x00,0x00,0x2C,0x00,
0x00,0x44,0x00,0x00,0x82,0x00,0x00,0x83,0x01,0x80,0x01,0x03,0x40,0x00,0x0E,0x30,
0x00,0x3C,0x0C,0x00,0x10,0x00,0x00,0x00,};/*"",5*/

uchar  she[72]=
{0x00,0x00,0x00,0x00,0x00,0x00,0x10,0x08,0x02,0x20,0xF8,0x03,0x60,0x18,0x02,0x60,
0x08,0x02,0x00,0x08,0x02,0x00,0x08,0x02,0x00,0x0C,0x3E,0x7E,0x06,0x00,0xE0,0x03,
0x00,0xA0,0xFC,0x0F,0x20,0x08,0x04,0x20,0x10,0x06,0x20,0x10,0x02,0x20,0x20,0x03,
0x20,0x22,0x01,0x20,0xC1,0x01,0xA0,0xC0,0x00,0x60,0xE0,0x01,0x60,0x10,0x0E,0x00,
0x0C,0x7C,0x80,0x03,0x10,0x00,0x00,0x00,};/*"",0*/

uchar  zhi1[72]=
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x08,0xF0,0xFF,0x1F,0x10,0x42,0x08,0x10,
0x42,0x08,0xF0,0xFF,0x0F,0x10,0x08,0x08,0x00,0x18,0x10,0xFC,0xFF,0x3F,0x00,0x08,
0x00,0x40,0x08,0x03,0xC0,0xF7,0x01,0x40,0x00,0x01,0xC0,0xFF,0x01,0x40,0x00,0x01,
0x40,0x00,0x01,0xC0,0xFF,0x01,0x40,0x00,0x01,0xC0,0xFF,0x01,0x40,0x00,0x01,0x40,
0x00,0x31,0xBC,0xFF,0x0E,0x00,0x00,0x00,};/*"",1*/

uchar  tiao[72]=
{
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x30,0xFC,0x3F,0x60,0x84,0x10,0x60,
0x84,0x10,0x00,0x84,0x10,0x00,0xF4,0x17,0x20,0x84,0x10,0x7E,0x84,0x14,0x20,0xFC,
0x1F,0x20,0x04,0x10,0x20,0x04,0x10,0x20,0xE4,0x17,0x20,0x24,0x12,0x20,0x24,0x12,
0x20,0x25,0x12,0xA0,0xE4,0x13,0x60,0x22,0x12,0x60,0x02,0x10,0x20,0x01,0x10,0x00,
0x01,0x1E,0x80,0x00,0x18,0x00,0x00,0x00,};/*"",2*/

uchar  jie[72]=
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x83,0x01,0x00,0x83,0x00,0x00,0x83,0x10,0xFE,
0xFF,0x3F,0x00,0x83,0x00,0x00,0x83,0x00,0x00,0x81,0x00,0x00,0x00,0x04,0xF8,0xFF,
0x0F,0x00,0x04,0x04,0x00,0x04,0x04,0x00,0x04,0x04,0x00,0x04,0x04,0x00,0x04,0x04,
0x00,0x04,0x04,0x00,0x04,0x04,0x00,0xC4,0x07,0x00,0x04,0x02,0x00,0x04,0x00,0x00,
0x04,0x00,0x00,0x04,0x00,0x00,0x00,0x00,};/*"",3*/


uchar  liu[72]=
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x70,0x00,0x10,0x40,0x10,0x30,0x40,0x38,0x60,
0xBE,0x07,0x20,0x30,0x00,0x80,0x10,0x02,0x82,0x08,0x04,0x8C,0x04,0x0C,0x58,0xFE,
0x0B,0x48,0x00,0x08,0x40,0x66,0x06,0x20,0x26,0x02,0x20,0x26,0x02,0x30,0x26,0x02,
0x10,0x26,0x02,0x1C,0x22,0x22,0x18,0x22,0x22,0x18,0x23,0x22,0x18,0x21,0x22,0x98,
0x20,0x7E,0x70,0x20,0x00,0x00,0x00,0x00,};/*"",5*/

  


void delayms(int count)  // /* X1ms */
{
   SysCtlDelay(SysCtlClockGet()/6000);
}


			//-8λģʽ 
void LCD_Writ_Bus(char VH,char VL)   //д뺯
{	

	GPIOPinWrite(DBS_PORT,DBS_PINS,VH);	
   	LCD_WR0;
	LCD_WR1;
	GPIOPinWrite(DBS_PORT,DBS_PINS,VL);		
	LCD_WR0;
	LCD_WR1;
}







void LCD_Write_COM(char VH,char VL)	 //
{	
    LCD_RS0;
	LCD_Writ_Bus(VH,VL);
}


void LCD_Write_DATA(char VH,char VL)	//
{
    LCD_RS1;
	LCD_Writ_Bus(VH,VL);
}

void Address_set(unsigned int x1,unsigned int y1,unsigned int x2,unsigned int y2)
{
	LCD_Write_COM(0x00,0x20);LCD_Write_DATA(x1>>8,x1);	  //Xλ
    LCD_Write_COM(0x00,0x21);LCD_Write_DATA(y1>>8,y1);   //Yλ
    LCD_Write_COM(0x00,0x50);LCD_Write_DATA(x1>>8,x1);   //ʼX
	LCD_Write_COM(0x00,0x52);LCD_Write_DATA(y1>>8,y1);	  //ʼY
    LCD_Write_COM(0x00,0x51);LCD_Write_DATA(x2>>8,x2);   //X
	LCD_Write_COM(0x00,0x53);LCD_Write_DATA(y2>>8,y2);   //Y
    LCD_Write_COM(0x00,0x22);							 
}

void LCD_Init(void)
{

    LCD_REST1;
    delayms(5);	
	LCD_REST0;
	delayms(5);
	LCD_REST1;
	LCD_CS1;
	LCD_RD1;
	LCD_WR1;
	delayms(5);
	

	LCD_CS0;  //Ƭѡʹ
	//************* Start Initial Sequence **********//
	LCD_Write_COM(0x00,0xE5); LCD_Write_DATA(0x78,0xF0); // set SRAM internal timing
	LCD_Write_COM(0x00,0x01); LCD_Write_DATA(0x01,0x00); // set SS and SM bit
	LCD_Write_COM(0x00,0x02); LCD_Write_DATA(0x07,0x00); // set 1 line inversion
	LCD_Write_COM(0x00,0x03); LCD_Write_DATA(0x10,0x30); // set GRAM write direction and BGR=1.
	LCD_Write_COM(0x00,0x04); LCD_Write_DATA(0x00,0x00); // Resize register
	LCD_Write_COM(0x00,0x08); LCD_Write_DATA(0x02,0x07); // set the back porch and front porch
	LCD_Write_COM(0x00,0x09); LCD_Write_DATA(0x00,0x00); // set non-display area refresh cycle ISC[3:0]
	LCD_Write_COM(0x00,0x0A); LCD_Write_DATA(0x00,0x00); // FMARK function
	LCD_Write_COM(0x00,0x0C); LCD_Write_DATA(0x00,0x00); // RGB interface setting
	LCD_Write_COM(0x00,0x0D); LCD_Write_DATA(0x00,0x00); // Frame marker Position
	LCD_Write_COM(0x00,0x0F); LCD_Write_DATA(0x00,0x00); // RGB interface polarity
	//*************Power On sequence ****************//
	LCD_Write_COM(0x00,0x10); LCD_Write_DATA(0x00,0x00); // SAP, BT[3:0], AP, DSTB, SLP, STB
	LCD_Write_COM(0x00,0x11); LCD_Write_DATA(0x00,0x07); // DC1[2:0], DC0[2:0], VC[2:0]
	LCD_Write_COM(0x00,0x12); LCD_Write_DATA(0x00,0x00); // VREG1OUT voltage
	LCD_Write_COM(0x00,0x13); LCD_Write_DATA(0x00,0x00); // VDV[4:0] for VCOM amplitude
	LCD_Write_COM(0x00,0x07); LCD_Write_DATA(0x00,0x01);
	delayms(50); // Dis-charge capacitor power voltage
	LCD_Write_COM(0x00,0x10); LCD_Write_DATA(0x10,0x90); // 1490//SAP, BT[3:0], AP, DSTB, SLP, STB
	LCD_Write_COM(0x00,0x11); LCD_Write_DATA(0x02,0x27); // DC1[2:0], DC0[2:0], VC[2:0]
	delayms(50); // Delay 50ms
	LCD_Write_COM(0x00,0x12); LCD_Write_DATA(0x00,0x1F); //001C// Internal reference voltage= Vci;
	delayms(50); // Delay 50ms
	LCD_Write_COM(0x00,0x13); LCD_Write_DATA(0x15,0x00); //0x1000//1400   Set VDV[4:0] for VCOM amplitude  1A00
	LCD_Write_COM(0x00,0x29); LCD_Write_DATA(0x00,0x27); //0x0012 //001a  Set VCM[5:0] for VCOMH  //0x0025  0034
	LCD_Write_COM(0x00,0x2B); LCD_Write_DATA(0x00,0x0D); // Set Frame Rate   000C
	delayms(50); // Delay 50ms
	LCD_Write_COM(0x00,0x20); LCD_Write_DATA(0x00,0x00); // GRAM horizontal Address
	LCD_Write_COM(0x00,0x21); LCD_Write_DATA(0x00,0x00); // GRAM Vertical Address
	// ----------- Adjust the Gamma Curve ----------//
	LCD_Write_COM(0x00,0x30); LCD_Write_DATA(0x00,0x00);
	LCD_Write_COM(0x00,0x31); LCD_Write_DATA(0x07,0x07);
	LCD_Write_COM(0x00,0x32); LCD_Write_DATA(0x03,0x07);
	LCD_Write_COM(0x00,0x35); LCD_Write_DATA(0x02,0x00);
	LCD_Write_COM(0x00,0x36); LCD_Write_DATA(0x00,0x08);//0207
	LCD_Write_COM(0x00,0x37); LCD_Write_DATA(0x00,0x04);//0306
	LCD_Write_COM(0x00,0x38); LCD_Write_DATA(0x00,0x00);//0102
	LCD_Write_COM(0x00,0x39); LCD_Write_DATA(0x07,0x07);//0707
	LCD_Write_COM(0x00,0x3C); LCD_Write_DATA(0x00,0x02);//0702
	LCD_Write_COM(0x00,0x3D); LCD_Write_DATA(0x1D,0x04);//1604
	
	//------------------ Set GRAM area ---------------//
	LCD_Write_COM(0x00,0x50); LCD_Write_DATA(0x00,0x00); // Horizontal GRAM Start Address
	LCD_Write_COM(0x00,0x51); LCD_Write_DATA(0x00,0xEF); // Horizontal GRAM End Address
	LCD_Write_COM(0x00,0x52); LCD_Write_DATA(0x00,0x00); // Vertical GRAM Start Address
	LCD_Write_COM(0x00,0x53); LCD_Write_DATA(0x01,0x3F); // Vertical GRAM Start Address
	LCD_Write_COM(0x00,0x60); LCD_Write_DATA(0xA7,0x00); // Gate Scan Line
	LCD_Write_COM(0x00,0x61); LCD_Write_DATA(0x00,0x01); // NDL,VLE, REV
	LCD_Write_COM(0x00,0x6A); LCD_Write_DATA(0x00,0x00); // set scrolling line
	//-------------- Partial Display Control ---------//
	LCD_Write_COM(0x00,0x80); LCD_Write_DATA(0x00,0x00);
	LCD_Write_COM(0x00,0x81); LCD_Write_DATA(0x00,0x00);
	LCD_Write_COM(0x00,0x82); LCD_Write_DATA(0x00,0x00);
	LCD_Write_COM(0x00,0x83); LCD_Write_DATA(0x00,0x00);
	LCD_Write_COM(0x00,0x84); LCD_Write_DATA(0x00,0x00);
	LCD_Write_COM(0x00,0x85); LCD_Write_DATA(0x00,0x00);
	//-------------- Panel Control -------------------//
	LCD_Write_COM(0x00,0x90); LCD_Write_DATA(0x00,0x10);
	LCD_Write_COM(0x00,0x92); LCD_Write_DATA(0x06,0x00);
	LCD_Write_COM(0x00,0x07); LCD_Write_DATA(0x01,0x33); // 262K color and display ON
	LCD_CS1;  //رƬѡʹ

}

void Pant(int dcolor)
{
	int i,j;
    LCD_CS0;
	Address_set(0,0,240,320);
    for(i=0;i<320;i++)
	 {
	  for (j=0;j<240;j++)
	   	{
        	 LCD_Write_DATA(dcolor>>8,dcolor);
	    }	  
	  }
	LCD_CS1;
}



void init()
{
    clockInit();						 //ϵͳʱ	    
	SysCtlPeripheralEnable(SYSCTL_PERIPH_GPIOC);  
	SysCtlPeriEnable(DBS_PERIPH);	  
	GPIOPinTypeOut(DBS_PORT,DBS_PINS); 		 //áʹDBS˿
	SysCtlPeriEnable(RS_PERIPH);	  
	GPIOPinTypeOut(RS_PORT,RS_PIN); 		 //áʹRS˿
	SysCtlPeriEnable(RW_PERIPH);	  
	GPIOPinTypeOut(RW_PORT,RW_PIN); 		  //áʹRW˿
	SysCtlPeriEnable(E_PERIPH);	  
	GPIOPinTypeOut(E_PORT,E_PIN);			  //áʹE˿
	SysCtlPeriEnable(RST_PERIPH);	  
	GPIOPinTypeOut(RST_PORT,RST_PIN); 	 	   //áʹPBS˿

}

  
void dot(uchar x,uint y,uint color)
{
	LCD_CS0;  //Ƭѡʹ
  /*(	Address_set(x-1,y-1,x+1,y+1);

    LCD_Write_DATA(color/256,color%256);
	LCD_Write_DATA(color/256,color%256);
	LCD_Write_DATA(color/256,color%256);
	LCD_Write_DATA(color/256,color%256);
	LCD_Write_DATA(color/256,color%256);
	LCD_Write_DATA(color/256,color%256);
	LCD_Write_DATA(color/256,color%256);
	LCD_Write_DATA(color/256,color%256);
	LCD_Write_DATA(color/256,color%256); */ 
 	Address_set(x,y,x,y);  

    LCD_Write_DATA(color/256,color%256); 


    LCD_CS1;  //رƬѡʹ
}

/******************************************************************** 
ֱߣԻֱⷽߣߡߡбߣ
ڲ (x1,y1), (x2,y2)յ, colorɫ
ڲ: 
˵ָɫָ仭һֱߡ
***********************************************************************/
void line(uint x1,uint y1,uint x2,uint y2,uint color)  
{  
    uint t;  
    int xerr=0,yerr=0,delta_x,delta_y,distance;  
    int incx,incy; 
    uint row,col;  
    LCD_CS0;  //Ƭѡʹ
    delta_x = x2-x1;//  
    delta_y = y2-y1;  
    col=x1;  
    row=y1;  
    if(delta_x>0) incx=1;//õ  
    else   
    {  
        if(delta_x==0) incx=0;//ֱ  
        else {incx=-1;delta_x=-delta_x;}  
    }  
    if(delta_y>0)incy=1;  
    else  
    {  
        if(delta_y==0) incy=0;//ˮƽ  
        else {incy=-1;delta_y=-delta_y;}  
    }  
    if(delta_x>delta_y) distance=delta_x;//ѡȡ  
    else distance=delta_y;  

    for(t=0;t<=distance+1;t++)  
	{                                     //  
	    dot(col, row, color);
        xerr+=delta_x;  
        yerr+=delta_y;  
      	if(xerr>distance)  
        {  
            xerr-=distance;  
            col+=incx;  
        }  
        if(yerr>distance)  
        {  
            yerr-=distance;  
            row+=incy;  
        }  
    } 
    LCD_CS1;  //رƬѡʹ
}  	 
/**********************************************************

ڲ (xy)Ǻ꣬lengthǺ߳ȣcolor Ǻɫ
ڲ: 
˵ָɫָλϻָȵһߡ
************************************************************/
void hline(uchar x, uint y, uchar length, uint color) 
{  	LCD_CS0;  //Ƭѡʹ
	Address_set(x,y,x+length-1,y);
	do
	{  
		LCD_Write_DATA(color/256,color%256);//ʾˮƽ
		length--;
	}while(length);
   LCD_CS1;  //رƬѡʹ	
}  

/**********************************************************

ڲ (xy)꣬high ߸߶ȣcolor ɫ
ڲ: 
˵ָɫָλϻָȵһߡ
************************************************************/
void rline(uchar x, uint y, uint high, uint color) 
{  	LCD_CS0;  //Ƭѡʹ
   Address_set(x,y,x,y+high-1);
   do
   {  
		LCD_Write_DATA(color/256,color%256);// ʾֱ
		high--;
   }while(high);
     LCD_CS1;  //رƬѡʹ	
} 

/*********************************************
ʾӢĻַ
ڲ(xy) ʾݵϽ꣬cʾӢַ
          color:ɫ,b_color:ɫ
ڲ: 
˵ָλʾӢַַ
**********************************************/
void printf_char(uchar x, uint y,uchar c, uint color,uint b_color)
{  
	uchar  s_x ,s_y, temp ;
  	uint j;
  	c -= 32;
  	for( s_y=0 ; s_y < 16 ; s_y++ )
   {
		if(s_y+y<320)
	   {
			j=c;
		   j=j*16+s_y;
		   temp=font16x8[j];
	  	   for( s_x=0 ; s_x<8 ; s_x++ )
	      {
		    	if(x+s_x<240)
		      {
			     	if((temp&(0x80>>(s_x))) == (0x80>>(s_x))  )
			      {
				   	    dot(x+s_x, y+s_y,color) ;
			      }
			     	else
			      {
				     	dot(x+s_x, y+s_y,b_color) ;
				   }
			   }
		   }
	   }
	}
}	
/*********************************************
ʾĺ
ڲ(xy) ʾݵϽ꣬cʾӢַ
          color:ɫ,b_color:ɫ
ڲ: 
˵ָλʾӢַַ
********************************************
void printf_hz(uchar x, uint y,uchar start, uint color,uint b_color)
{  
	uchar  s_x ,s_y, temp ;
  	uint j,c;
	for(c=0;c<2;c++)
	 {
	  	for( s_y=0 ; s_y < 16 ; s_y++ )
	   {
			if(s_y+y<320)
		   {
				j=2*start+c;
			   j=j*16+s_y;
			   temp=hz[j];
		  	   for( s_x=0 ; s_x<8 ; s_x++ )
		      {
			    	if(x+s_x<240)
			      {
				     	if((temp&(0x80>>(s_x))) == (0x80>>(s_x))  )
				      {
					   	    dot(x+c*8+s_x, y+s_y,color) ;
				      }
				     	else
				      {
					     	dot(x+c*8+s_x, y+s_y,b_color) ;
					   }
				   }
			   }
		   }
		}
	  }
}	   **/





	
/*********************************************
ʾĺ
ڲ(xy) ʾݵϽ꣬cʾӢַ
          color:ɫ,b_color:ɫ
ڲ: 
˵ָλʾӢַַ
*********************************************
void printf_hzs(uchar x, uint y,uchar start,uchar num, uint color,uint b_color)
{  
  uchar i;
  for(i=0;i<num;i++)
   printf_hz(x+16*i,y,start+i,color,b_color);
}   
						 */

//ָλʾһ(16*16)
//dcolorΪɫgbcolorΪɫ
void hanzi16_16(uint x,uint y,uchar *value,uint dcolor,uint bgcolor)	
{  
	uint i,j;  
    Address_set(x,y,x+15,y+15); //      
	for(j=0;j<32;j++)
	{
		for(i=0;i<8;i++)
		{ 		     
		 	if((*value&(1<<i))!=0)
			{
				LCD_Write_DATA(dcolor>>8,dcolor); //дַɫ
			} 
			else
			{
				LCD_Write_DATA(bgcolor>>8,bgcolor);	//дɫ
			}   
		}
		value++;
	 }
}

//ָλʾһ(24*24)
//dcolorΪɫgbcolorΪɫ
void hanzi24_24(uint x,uint y,uchar *value,uint dcolor,uint bgcolor)	
{  
	uint i,j;  
    Address_set(x,y,x+23,y+23); //      
	for(j=0;j<72;j++)
	{
		for(i=0;i<8;i++)
		{ 		     
		 	if((*value&(1<<i))!=0)
			{
				LCD_Write_DATA(dcolor>>8,dcolor); //дַɫ
			} 
			else
			{
				LCD_Write_DATA(bgcolor>>8,bgcolor);	//дɫ
			}   
		}
		value++;
	 }
}

//ָλʾһ(32*32)
//dcolorΪɫgbcolorΪɫ
void hanzi32_32(uint x,uint y,uchar *value,uint dcolor,uint bgcolor)	
{  
	uint i,j; 
    Address_set(x,y,x+31,y+31); //      
	for(j=0;j<128;j++)
	{
		for(i=0;i<8;i++)
		{ 		     
		 	if((*value&(1<<i))!=0)
			{
				LCD_Write_DATA(dcolor>>8,dcolor); //дַɫ
			} 
			else
			{
				LCD_Write_DATA(bgcolor>>8,bgcolor);	//дɫ
			}   
		}
		value++;
	 }
}

//ָλʾһ(64*64)
//dcolorΪɫgbcolorΪɫ
void hanzi64_64(uint x,uint y,uchar *value,uint dcolor,uint bgcolor)	
{  
	uint i,j;
//	uchar *temp=value;    
    Address_set(x,y,x+63,y+63); //      
	for(j=0;j<512;j++)
	{
		for(i=0;i<8;i++)
		{ 		     
		 	if((*value&(1<<i))!=0)
			{
				LCD_Write_DATA(dcolor>>8,dcolor); //дַɫ
			} 
			else
			{
				LCD_Write_DATA(bgcolor>>8,bgcolor);	//дɫ
			}   
		}
		value++;
	 }
}
void printf_string(uchar x, uint y,char  *s, uint color,uint b_color)
{  
	for(;*s!='\0';s++)
	{
		printf_char(x, y,*s, color,b_color);
		x=x+8;
	}
	

}

void printf_num(uchar x,uint y,uint dat,uint color,uint b_color)
{
    if(dat<10)
	{
	printf_char(x,y,dat%10+'0',color,b_color);	
	}
	else 
	if(dat<100)
	{
	printf_char(x,y,dat/10%10+'0',color,b_color);
	printf_char(x+8,y,dat%10+'0',color,b_color);	
	}
	else if(dat<1000)
	{
	printf_char(x,y,dat/100+'0',color,b_color);
	printf_char(x+8,y,dat/10%10+'0',color,b_color);
	printf_char(x+16,y,dat%10+'0',color,b_color);
	}	
	else
	{
	printf_char(x,y,dat/1000+'0',color,b_color);
	printf_char(x+8,y,dat/100%10+'0',color,b_color);
	printf_char(x+16,y,dat/10%10+'0',color,b_color);
	printf_char(x+24,y,dat%10+'0',color,b_color);
	} 
}
void printf_num1(uchar x,uint y,uchar dat,uint color,uint b_color)
{

	printf_char(x,y,dat/1000+'0',color,b_color);
	printf_char(x+8,y,dat/100%10+'0',color,b_color);
	printf_char(x+16,y,dat/10%10+'0',color,b_color);
	printf_char(x+24,y,dat%10+'0',color,b_color);
 
}



/***************************************************************************
  
  hָһĸ߶ȣlָһĳȣhnֱָılnָˮƽĸ

***************************************************************************/
/*
void column(uchar x,uint y,uint h,uint l,uchar hn,uchar ln,uint color) //h,l,hn߸,ln򳤸

{
  uchar i;
  for(i=0;i<(ln+1);i=i+2)
  rline(x+i*l,y,hn*h,0x001f);

   for(i=1;i<ln+1;i=i+2)
  rline(x+i*l,y,hn*h,0x000f);


  for(i=0;i<hn+1;i=i+2)
  hline(x,y+i*h,ln*l,0x001f);

  for(i=1;i<hn+1;i=i+2)
  hline(x,y+i*h,ln*l,0x000f);
}

	  */


void clear(uchar x1,uint y1,uchar x2,uint y2,int dcolor)
{
	int i,j;
    LCD_CS0;
	Address_set(x1,y1,x2,y2);
    for(i=0;i<y2-y1+1;i++)
	 {
	  for (j=0;j<x2-x1+1;j++)
	   	{
        	 LCD_Write_DATA(dcolor>>8,dcolor);
	    }	  
	  }
	LCD_CS1;
}





void keyboard(void)
{

	uint i,j;
	for(i=119;i<=279;i+=40) 
	{
	hline(39,i,160,0xf800);
	}
	for(j=39;j<=199;j+=40) 
	{
	rline(j,119,160,0xf800);
	}
	printf_char(45,125,'1',0x0000,0xffff);
	printf_char(85,125,'2',0x0000,0xffff);
	printf_char(125,125,'3',0x0000,0xffff);
	printf_char(165,125,'4',0x0000,0xffff);
	printf_char(45,165,'5',0x0000,0xffff);
	printf_char(85,165,'6',0x0000,0xffff);
	printf_char(125,165,'7',0x0000,0xffff);
	printf_char(165,165,'8',0x0000,0xffff);
	printf_char(45,205,'9',0x0000,0xffff);
	printf_char(85,205,'0',0x0000,0xffff);
	printf_char(125,205,'a',0x0000,0xffff);
	printf_char(165,205,'b',0x0000,0xffff);
	printf_char(45,245,'c',0x0000,0xffff);
	printf_char(85,245,'d',0x0000,0xffff);
	printf_char(125,245,'e',0x0000,0xffff);
	printf_char(165,245,'f',0x0000,0xffff);

}







void start()
{

	uchar j;

	LCD_CS0;  //Ƭѡʹ
	


	
	j=0;
	hanzi32_32(40,140,bin,0x000f,0xffff);
	hanzi32_32(80,140,zhou,0x000f,0xffff);
	hanzi32_32(120,140,xue,0x000f,0xffff);
	hanzi32_32(160,140,yuan,0x000f,0xffff);

	hanzi24_24(24*j,220,tai,0x000f,0xffff);j++;
	hanzi24_24(24*j,220,yang,0x000f,0xffff);	j++;
	hanzi24_24(24*j,220,neng,0x000f,0xffff);j++;
	hanzi24_24(24*j,220,re,0x000f,0xffff);j++;
	hanzi24_24(24*j,220,shui,0x000f,0xffff);j++;
	hanzi24_24(24*j,220,qi,0x000f,0xffff);j++;
	hanzi24_24(24*j,220,kong,0x000f,0xffff);j++;
	hanzi24_24(24*j,220,zhi,0x000f,0xffff); j++;
	hanzi24_24(24*j,220,xi,0x000f,0xffff);j++;
	hanzi24_24(24*j,220,tong,0x000f,0xffff);j++;
	j=0;
	LCD_CS1;  //رƬѡʹ
	//delay();
}


int main()
{
	uchar j;
	
	uchar f_lay;//жϴʾĲΣ
	uchar junge;
	js=18;
	f_lay=0;
	LCD_Init();
	Pant(0xffff);

    start();
	l1:
	Pant(0xffff);
	clear(0,287,239,319,0x8f00);

  	hanzi24_24(3,20,wen,0x000f,0xffff);
	hanzi24_24(70,20,du,0x000f,0xffff);
	printf_char(96,24,':',0,0xffff);
	j=0;
	hanzi24_24(24*j,50,dang,0x000f,0xffff);j++;
	hanzi24_24(24*j,50,qian,0x000f,0xffff);j++;
	hanzi24_24(24*j,50,shui1,0x000f,0xffff);j++;
	hanzi24_24(24*j,50,wei,0x000f,0xffff);j++;
	printf_char(24*j,54,':',0,0xffff);
	j=0;

	hanzi24_24(3,260,shi1,0x000f,0xffff);
	hanzi24_24(70,260,jian,0x000f,0xffff); 
	printf_char(96,260,':',0,0xffff);



	
	hanzi24_24(3,290,cai,0xffff,0x8f00);
	hanzi24_24(27,290,dan,0xffff,0x8f00);

//	hanzi24_24(189,290,fan,0xffff,0x8f00);
//	hanzi24_24(213,290,hui,0xffff,0x8f00);





  while(1){
			 	


//	printf_string(100,100,"OK!",0,0xffff);
	
	if(f_lay==1)
	{
		

		//clear(20,100,100,180,0x8f00);	
		hanzi24_24(80,100,she,0xffff,0x8f00);			//¶ȣˮСѡ
		hanzi24_24(104,100,zhi1,0xffff,0x8f00);
		hanzi24_24(128,100,wen,0xffff,0x8f00);
		hanzi24_24(152,100,du,0xffff,0x8f00);

		//clear(130,150,210,180,0x8f00);
		hanzi24_24(80,150,tiao,0xffff,0x8f00);
		hanzi24_24(104,150,jie,0xffff,0x8f00);
		hanzi24_24(128,150,shui,0xffff,0x8f00);
		hanzi24_24(152,150,liu,0xffff,0x8f00);
	
	}

	if(f_lay==3)
	{
		if(junge==0)
		{keyboard();
		  junge=1;
		 }
	
	}

	if(f_lay==4)
	{
	
	
		//clear(20,100,100,180,0x8f00);	
		hanzi24_24(80,100,shui,0xffff,0x8f00);			//¶ȣˮСѡ
		hanzi24_24(104,100,liu,0xffff,0x8f00);
		hanzi24_24(128,100,zeng,0xffff,0x8f00);
		hanzi24_24(152,100,da,0xffff,0x8f00);

		//clear(130,150,210,180,0x8f00);
		hanzi24_24(80,150,shui,0xffff,0x8f00);
		hanzi24_24(104,150,liu,0xffff,0x8f00);
		hanzi24_24(128,150,jian1,0xffff,0x8f00);
		hanzi24_24(152,150,xiao,0xffff,0x8f00);
	
	
	
	}


	if ( GPIOPinRead(DBS_PORT,DBS_PINS)==0)
		{ 
		//	AD7843();
			lx=240-((TP_X-400)/13);
			ly=320-((TP_Y-400)/10);

			if (f_lay==0)
			if(lx>0&&lx<60&&ly>287&&ly<319)
			{
			 clear(0,287,60,319,0x33ff);
			 delayms(100);
			 clear(0,287,60,319,0x8f00);

			 Pant(0xffff);
			 clear(0,287,239,319,0x8f00);
			 hanzi24_24(189,290,fan,0xffff,0x8f00);
			 hanzi24_24(213,290,hui,0xffff,0x8f00);
			 f_lay=1;
			} 

			if (f_lay==1||f_lay==3||f_lay==4)
			{			
				if(lx>180&&lx<240&&ly>287&&ly<319)
				{												  //Ʒؼ
				 clear(180,287,239,319,0x33ff);
				 delayms(100);
				 clear(180,287,239,319,0x8f00);
				 
				 //clear(0,287,239,319,0x8f00);
				 //hanzi24_24(3,290,cai,0xffff,0x8f00);
				 //hanzi24_24(27,290,dan,0xffff,0x8f00);
				 
				 f_lay=0;
				 
				 
				  junge=0;
				 goto l1;
				}
			
				if(lx>80&&lx<176&&ly>100&&ly<130&&f_lay==1)
				{
				 clear(80,100,176,124,0x33ff);
				 delayms(100);
				 clear(80,100,176,124,0x8f00);
				 hanzi24_24(80,100,she,0xffff,0x8f00);			//¶ѡ
				 hanzi24_24(104,100,zhi1,0xffff,0x8f00);
			     hanzi24_24(128,100,wen,0xffff,0x8f00);
				 hanzi24_24(152,100,du,0xffff,0x8f00);
				 f_lay=3;


				 Pant(0xffff);
				 clear(0,287,239,319,0x8f00);
			     hanzi24_24(189,290,fan,0xffff,0x8f00);
			     hanzi24_24(213,290,hui,0xffff,0x8f00);
				}


				if(lx>80&&lx<176&&ly>150&&ly<180&&f_lay==1)
				{
				 clear(80,150,176,174,0x33ff);
				 delayms(100);
				 clear(80,150,176,174,0x8f00);
				 hanzi24_24(80,100,she,0xffff,0x8f00);			//ˮСѡ
				 hanzi24_24(104,100,zhi1,0xffff,0x8f00);
			     hanzi24_24(128,100,wen,0xffff,0x8f00);
				 hanzi24_24(152,100,du,0xffff,0x8f00);
				 f_lay=4;


				 Pant(0xffff);
				 clear(0,287,239,319,0x8f00);
			     hanzi24_24(189,290,fan,0xffff,0x8f00);
			     hanzi24_24(213,290,hui,0xffff,0x8f00);
				}





				if(lx>80&&lx<176&&ly>100&&ly<130&&f_lay==4)
				{
				 clear(80,100,176,124,0x33ff);
				 delayms(100);
				 clear(80,100,176,124,0x8f00);
				hanzi24_24(80,100,shui,0xffff,0x8f00);			//дˮС 
				hanzi24_24(104,100,liu,0xffff,0x8f00);
				hanzi24_24(128,100,zeng,0xffff,0x8f00);
				hanzi24_24(152,100,da,0xffff,0x8f00);
				 js++;
				 if(js>25)js=25;

				}


				if(lx>80&&lx<176&&ly>150&&ly<180&&f_lay==4)	 //дˮ
				{
				 clear(80,150,176,174,0x33ff);
				 delayms(100);
				 clear(80,150,176,174,0x8f00);
				hanzi24_24(80,150,shui,0xffff,0x8f00);
				hanzi24_24(104,150,liu,0xffff,0x8f00);
				hanzi24_24(128,150,jian1,0xffff,0x8f00);
				hanzi24_24(152,150,xiao,0xffff,0x8f00);
				 js--;
				 if(js<=5)js=5;

				}

			  
			  
}




		
		
		
		
		
		
		
		
		
		
		
		}

		
	  	   }
	  
}
